Get cluster namespace DaemonSet details

Get cluster namespace DaemonSet details

get

Get detailed information for DaemonSet in the specified cluster and namespace.

Path parameters
clusterIdstringRequired
namespaceNamestringRequired
daemonSetNamestringRequired
Responses
chevron-right
200

OK

*/*
creationTimestampstringOptionalExample: 2023-06-21 06:41:56
deploymentstringOptional

deployment information

Example: {"apiVersion":"apps/v1","kind":"DaemonSet"...
deploymentYamlstringOptional

deployment information(YAML)

Example: apiVersion: apps/v1 kind: DaemonSet metadata: ...
desiredPodCntintegerOptional

Number of pods to provide

Example: 7
imagesstring[]Optional

Image list

Example: 101.55.69.30/docker.io/grafana/promtail:2.7.4
namestringOptional

DaemonSet name

Example: promtail
namespacestringOptional

namespace name

Example: cocktail-system
readyPodCntintegerOptional

Number of ready pods

Example: 7
get
/v1/clusters/{clusterId}/namespaces/{namespaceName}/daemonsets/{daemonSetName}
200

OK

Last updated